### Hierarchy

- IconService

## Index

### Properties

- iconCache

### Methods

- configure
- get
- register
- registerAll
- registerAs

## Properties

### Private iconCache

iconCache: IconCache = new IconMemoryCache()

- Defined in src/icon/icon.service.ts:177

## Methods

### configure

- configure(options: object): void

- - Defined in src/icon/icon.service.ts:220

  #### Parameters

  - ##### options: object

    - ##### cache: IconCache

  #### Returns void

### get

- get(name: string, size: string): IconDescriptor

- - Defined in src/icon/icon.service.ts:205

  #### Parameters

  - ##### name: string

  - ##### size: string

  #### Returns IconDescriptor

### register

- register(descriptor: object): void

- - Defined in src/icon/icon.service.ts:189

  #### Parameters

  - ##### descriptor: object

  #### Returns void

### registerAll

- registerAll(descriptors: object[]): void

- - Defined in src/icon/icon.service.ts:182

  #### Parameters

  - ##### descriptors: object[]

  #### Returns void

### registerAs

- registerAs(name: string, descriptor: object): void

- - Defined in src/icon/icon.service.ts:197

  #### Parameters

  - ##### name: string

  - ##### descriptor: object

  #### Returns void

Generated using TypeDoc